#!/bin/bash

# Request a public floating IP (in the 'public' network)
server_ip=$(openstack floating ip create public --format value -c floating_ip_address)
echo "Public IP for this lab is $server_ip"

# Assign a public floating IP ONLY to $SERVER_NAME-left
openstack server add floating ip "$SERVER_NAME" "$server_ip"
echo "Public IP added to $SERVER_NAME"

# Check if we can connect to server on port 22.
echo "Now testing the SSH connection. It could take minutes ..."
ssh_status=$(nc -z "${server_ip}" 22 && echo "Up" || echo "Down")
while [ "$ssh_status" != "Up" ]
do
   sleep 10
   ssh_status=$(nc -z "${server_ip}" 22 && echo "Up" || echo "Down")
done

echo "${SERVER_NAME} (${server_ip}) is $ssh_status"

# Tries the pwd command
login_command="ssh -o \"StrictHostKeyChecking no\" -i $SSHKEY_FILE cc@$server_ip"
eval "$login_command" pwd 
